package devise;

import org.omg.CORBA.*;

import devise.DeviseData;
import devise.Devise;
import devise.SensTaux;

public class DeviseOD extends InterfaceDeviseODPOA
{
    private Devise _devise;

    public DeviseOD( String nom, double taux )
    {
        _devise = new Devise(nom,taux,SensTaux.normale);
    }

		public DeviseData getDevise()
		{
				return new DeviseData(_devise.getNom(),
															_devise.getTaux(),
															_devise.getSens());
		}

		public void getDevise2( DeviseDataHolder d)
		{
				d.value = new DeviseData(_devise.getNom(),
																 _devise.getTaux(),
																 _devise.getSens());
		}

		// Methodes dfinies dans l'IDL avec "attribute"
		//  Voir le fichier : InterfaceDeviseODOperations.java
		//
		public int attr1(){return 0;}
		public void attr1(int v){}
		public int attr2(){return 0;}

}
