package devise;

import java.io.*;

import org.omg.CORBA.*;
import org.omg.PortableServer.*;

import org.omg.CosNaming.*;

import devise.*;

public class Server 
{
  public static void main(String[] args) 
  {
    try 
      {            
        //init ORB
        ORB orb = ORB.init( args, null );

        //init POA
        POA poa = 
          POAHelper.narrow( orb.resolve_initial_references( "RootPOA" ));

        poa.the_POAManager().activate();

        NamingContextExt nc = NamingContextExtHelper.narrow(
                                                            orb.resolve_initial_references("NameService"));

        // create a GoodDay object
        DeviseOD deviseod = new DeviseOD( "EURO_DOLLARS",1.23 );
    
        // create the object reference
        org.omg.CORBA.Object obj = 
          poa.servant_to_reference( deviseod );
        nc.bind( nc.to_name("EURO_DOLLARS") , obj);
								
        // wait for requests
        orb.run();
      }
    catch( Exception e ) 
      {
        System.out.println( e );
      }
  }
}
